#!/bin/sh
# Create xfwm4 theme images from source images located at ./png and ./xpm


destination="./xfwm4"
mkdir -p "$destination" || exit 1


create_images()
{
	basename="$1"
	croparea="$2"

	while [ $# -ge 3 ]; do
		state="$3"
		shift

		convert "xpm/$state.xpm" -crop "$croparea" "$destination/$basename-$state.xpm"
		convert "png/$state.png" -crop "$croparea" +repage -background none \
		        -define png:exclude-chunk=all "$destination/$basename-$state.png"
	done
}


create_images top-left     06x27+000+00 active inactive
create_images title-1      18x27+006+00 active inactive
create_images title-2      06x27+024+00 active inactive
create_images title-3      18x27+030+00 active inactive
create_images title-4      06x27+048+00 active inactive
create_images title-5      18x27+054+00 active inactive
create_images top-right    06x27+234+00 active inactive
create_images right        06x18+234+27 active inactive
create_images bottom-right 06x06+234+45 active inactive
create_images bottom       18x06+216+45 active inactive
create_images bottom-left  06x06+000+45 active inactive
create_images left         06x18+000+27 active inactive

create_images menu             16x27+072+0 active inactive prelight pressed
create_images shade            18x27+090+0 active inactive prelight pressed
create_images shade-toggled    18x27+108+0 active inactive prelight pressed
create_images stick            18x27+126+0 active inactive prelight pressed
create_images stick-toggled    18x27+144+0 active inactive prelight pressed
create_images hide             18x27+162+0 active inactive prelight pressed
create_images maximize         18x27+180+0 active inactive prelight pressed
create_images maximize-toggled 18x27+198+0 active inactive prelight pressed
create_images close            18x27+216+0 active inactive prelight pressed


# Insert GTK color codes
sed -i -e "s|c gray50|c gray50 s active_color_1|g" \
       -e "s|c gray75|c gray75 s active_color_2|g" \
       -e "s|c gray100|c None|g" "$destination"/*.xpm
